--INITIALIZE
if not angelsmods then angelsmods = {} end
if not angelsmods.ores then angelsmods.ores = {} end
if not angelsmods.trigger then angelsmods.trigger = {} end
if not bobmods then bobmods = {false} end

require("config")

--TRIGGER CHECKS

if RsoMod then
	angelsmods.ores.enablersomode = true
else
	angelsmods.ores.enablersomode = false
end

if angelsmods.trigger.infiniteoretrigger then
angelsmods.ores.enableinfiniteores = false
else
angelsmods.ores.enableinfiniteores = true
end

--Infinite ore yield change modifier
local yield = angelsmods.ores.yield * 15

--oil yield change modifier
local oilyield = angelsmods.ores.oilyield * 100

--water yield change modifier
local fissureyield = angelsmods.ores.fissureyield * 100

--Infinite ore result probability check
local loweryield = angelsmods.ores.loweryield
	  if angelsmods.ores.loweryield > 1 and angelsmods.ores.loweryield < 0.1 then
		loweryield = 0.8
	  end

--LOAD PROTOTYPES	  
if angelsmods.ores.enableinfiniteores then
	require("prototypes.generation.vanilla-coal")
	require("prototypes.generation.vanilla-stone")
	require("prototypes.generation.vanilla-iron")
	require("prototypes.generation.vanilla-copper")
	require("prototypes.generation.vanilla-uranium")
	
	data.raw.resource["infinite-coal"].minimum = yield
	data.raw.resource["infinite-stone"].minimum = yield
	data.raw.resource["infinite-iron-ore"].minimum = yield
	data.raw.resource["infinite-copper-ore"].minimum = yield
	data.raw.resource["infinite-uranium-ore"].minimum = yield
	
	if angelsmods.ores.enableloweryield then
		data.raw.resource["infinite-coal"]["minable"].results={{type = "item", name = "coal", amount_min = 1, amount_max = 1, probability = loweryield}}
		data.raw.resource["infinite-stone"]["minable"].results={{type = "item", name = "stone", amount_min = 1, amount_max = 1, probability = loweryield}}
		data.raw.resource["infinite-iron-ore"]["minable"].results={{type = "item", name = "iron-ore", amount_min = 1, amount_max = 1, probability = loweryield}}
		data.raw.resource["infinite-copper-ore"]["minable"].results={{type = "item", name = "copper-ore", amount_min = 1, amount_max = 1, probability = loweryield}}
		data.raw.resource["infinite-uranium-ore"]["minable"].results={{type = "item", name = "uranium-ore", amount_min = 1, amount_max = 1, probability = loweryield}}
	end
end

if angelsmods.ores.enableinfiniteores then
	if data.raw.resource["tenemut"] and angelsmods.ores.enableinfinitedarkmatter then
	require("prototypes.generation.dm-tenemut")
	data.raw.resource["infinite-tenemut"].minimum = yield
		if angelsmods.ores.enableloweryield then
			data.raw.resource["infinite-tenemut"]["minable"].results={{type = "item", name = "tenemut", amount_min = 1, amount_max = 1, probability = loweryield}}
		end
	end
end

if angelsmods.ores.enableoilyield then
	data.raw.resource["crude-oil"].minimum = oilyield
	data.raw.resource["crude-oil"].normal = 10000
end